curl --request POST \
--url https://app.flextell.ai/api/v1/invoices/download \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Tenant: <x-tenant>' \
--data '
{
"ids": [
2
],
"select_all": true,
"filters": {
"search": "<string>",
"is_archived": true,
"is_draft": true,
"is_cancelled": true,
"sale_id": 2,
"customer_id": 2,
"issue_date_from": "2023-11-07T05:31:56Z",
"issue_date_to": "2023-11-07T05:31:56Z"
},
"except_ids": [
2
]
}
'import requests
url = "https://app.flextell.ai/api/v1/invoices/download"
payload = {
"ids": [2],
"select_all": True,
"filters": {
"search": "<string>",
"is_archived": True,
"is_draft": True,
"is_cancelled": True,
"sale_id": 2,
"customer_id": 2,
"issue_date_from": "2023-11-07T05:31:56Z",
"issue_date_to": "2023-11-07T05:31:56Z"
},
"except_ids": [2]
}
headers = {
"X-Tenant": "<x-tenant>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Tenant': '<x-tenant>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
ids: [2],
select_all: true,
filters: {
search: '<string>',
is_archived: true,
is_draft: true,
is_cancelled: true,
sale_id: 2,
customer_id: 2,
issue_date_from: '2023-11-07T05:31:56Z',
issue_date_to: '2023-11-07T05:31:56Z'
},
except_ids: [2]
})
};
fetch('https://app.flextell.ai/api/v1/invoices/download', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.flextell.ai/api/v1/invoices/download",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'ids' => [
2
],
'select_all' => true,
'filters' => [
'search' => '<string>',
'is_archived' => true,
'is_draft' => true,
'is_cancelled' => true,
'sale_id' => 2,
'customer_id' => 2,
'issue_date_from' => '2023-11-07T05:31:56Z',
'issue_date_to' => '2023-11-07T05:31:56Z'
],
'except_ids' => [
2
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-Tenant: <x-tenant>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.flextell.ai/api/v1/invoices/download"
payload := strings.NewReader("{\n \"ids\": [\n 2\n ],\n \"select_all\": true,\n \"filters\": {\n \"search\": \"<string>\",\n \"is_archived\": true,\n \"is_draft\": true,\n \"is_cancelled\": true,\n \"sale_id\": 2,\n \"customer_id\": 2,\n \"issue_date_from\": \"2023-11-07T05:31:56Z\",\n \"issue_date_to\": \"2023-11-07T05:31:56Z\"\n },\n \"except_ids\": [\n 2\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-Tenant", "<x-tenant>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.flextell.ai/api/v1/invoices/download")
.header("X-Tenant", "<x-tenant>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"ids\": [\n 2\n ],\n \"select_all\": true,\n \"filters\": {\n \"search\": \"<string>\",\n \"is_archived\": true,\n \"is_draft\": true,\n \"is_cancelled\": true,\n \"sale_id\": 2,\n \"customer_id\": 2,\n \"issue_date_from\": \"2023-11-07T05:31:56Z\",\n \"issue_date_to\": \"2023-11-07T05:31:56Z\"\n },\n \"except_ids\": [\n 2\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.flextell.ai/api/v1/invoices/download")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-Tenant"] = '<x-tenant>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"ids\": [\n 2\n ],\n \"select_all\": true,\n \"filters\": {\n \"search\": \"<string>\",\n \"is_archived\": true,\n \"is_draft\": true,\n \"is_cancelled\": true,\n \"sale_id\": 2,\n \"customer_id\": 2,\n \"issue_date_from\": \"2023-11-07T05:31:56Z\",\n \"issue_date_to\": \"2023-11-07T05:31:56Z\"\n },\n \"except_ids\": [\n 2\n ]\n}"
response = http.request(request)
puts response.read_body"<string>"{
"success": "<string>",
"data": {
"message": "<string>",
"format": "<string>"
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"success": true,
"error_code": "RESOURCE_NOT_FOUND",
"message": "<string>",
"errors": null,
"data": null
}{
"message": "<string>",
"errors": {}
}{
"success": false,
"error_code": "SETUP_REQUIRED",
"message": "Complete the required setup steps to continue.",
"data": {
"next_step": "clinic_info"
}
}Download several invoices in one file
excel is built from our own records and always downloads right away. pdf and merged_pdf come from the
e-document provider: up to 20 invoices with a PDF download right away, more are queued (202) and the signed
link arrives as an invoice_export notification. Drafts, invoices never sent to the provider and submissions
it has not confirmed yet have no PDF and are left out; how many were left out is in the X-Skipped-Invoices
header (or the notification’s skipped_count). When none of the selected invoices has a PDF the request fails
with INVOICE_BULK_DOWNLOAD_NO_PDF.
With select_all the selection is every invoice GET /invoices lists for the filters in filters, minus
except_ids, and is downloaded exactly as the same invoices sent as ids. A selection of more than 200
invoices fails with BULK_SELECTION_TOO_LARGE, whose data carries max.
curl --request POST \
--url https://app.flextell.ai/api/v1/invoices/download \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Tenant: <x-tenant>' \
--data '
{
"ids": [
2
],
"select_all": true,
"filters": {
"search": "<string>",
"is_archived": true,
"is_draft": true,
"is_cancelled": true,
"sale_id": 2,
"customer_id": 2,
"issue_date_from": "2023-11-07T05:31:56Z",
"issue_date_to": "2023-11-07T05:31:56Z"
},
"except_ids": [
2
]
}
'import requests
url = "https://app.flextell.ai/api/v1/invoices/download"
payload = {
"ids": [2],
"select_all": True,
"filters": {
"search": "<string>",
"is_archived": True,
"is_draft": True,
"is_cancelled": True,
"sale_id": 2,
"customer_id": 2,
"issue_date_from": "2023-11-07T05:31:56Z",
"issue_date_to": "2023-11-07T05:31:56Z"
},
"except_ids": [2]
}
headers = {
"X-Tenant": "<x-tenant>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Tenant': '<x-tenant>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
ids: [2],
select_all: true,
filters: {
search: '<string>',
is_archived: true,
is_draft: true,
is_cancelled: true,
sale_id: 2,
customer_id: 2,
issue_date_from: '2023-11-07T05:31:56Z',
issue_date_to: '2023-11-07T05:31:56Z'
},
except_ids: [2]
})
};
fetch('https://app.flextell.ai/api/v1/invoices/download', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.flextell.ai/api/v1/invoices/download",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'ids' => [
2
],
'select_all' => true,
'filters' => [
'search' => '<string>',
'is_archived' => true,
'is_draft' => true,
'is_cancelled' => true,
'sale_id' => 2,
'customer_id' => 2,
'issue_date_from' => '2023-11-07T05:31:56Z',
'issue_date_to' => '2023-11-07T05:31:56Z'
],
'except_ids' => [
2
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-Tenant: <x-tenant>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.flextell.ai/api/v1/invoices/download"
payload := strings.NewReader("{\n \"ids\": [\n 2\n ],\n \"select_all\": true,\n \"filters\": {\n \"search\": \"<string>\",\n \"is_archived\": true,\n \"is_draft\": true,\n \"is_cancelled\": true,\n \"sale_id\": 2,\n \"customer_id\": 2,\n \"issue_date_from\": \"2023-11-07T05:31:56Z\",\n \"issue_date_to\": \"2023-11-07T05:31:56Z\"\n },\n \"except_ids\": [\n 2\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-Tenant", "<x-tenant>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.flextell.ai/api/v1/invoices/download")
.header("X-Tenant", "<x-tenant>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"ids\": [\n 2\n ],\n \"select_all\": true,\n \"filters\": {\n \"search\": \"<string>\",\n \"is_archived\": true,\n \"is_draft\": true,\n \"is_cancelled\": true,\n \"sale_id\": 2,\n \"customer_id\": 2,\n \"issue_date_from\": \"2023-11-07T05:31:56Z\",\n \"issue_date_to\": \"2023-11-07T05:31:56Z\"\n },\n \"except_ids\": [\n 2\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.flextell.ai/api/v1/invoices/download")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-Tenant"] = '<x-tenant>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"ids\": [\n 2\n ],\n \"select_all\": true,\n \"filters\": {\n \"search\": \"<string>\",\n \"is_archived\": true,\n \"is_draft\": true,\n \"is_cancelled\": true,\n \"sale_id\": 2,\n \"customer_id\": 2,\n \"issue_date_from\": \"2023-11-07T05:31:56Z\",\n \"issue_date_to\": \"2023-11-07T05:31:56Z\"\n },\n \"except_ids\": [\n 2\n ]\n}"
response = http.request(request)
puts response.read_body"<string>"{
"success": "<string>",
"data": {
"message": "<string>",
"format": "<string>"
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"success": true,
"error_code": "RESOURCE_NOT_FOUND",
"message": "<string>",
"errors": null,
"data": null
}{
"message": "<string>",
"errors": {}
}{
"success": false,
"error_code": "SETUP_REQUIRED",
"message": "Complete the required setup steps to continue.",
"data": {
"next_step": "clinic_info"
}
}Yetkilendirmeler
Başlıklar
Gövde
Yanıt
The response is of type file.